Package be.fgov.ehealth.dics.protocol.v5

# Class FindCompoundingFormulaRequest

java.lang.Object
be.fgov.ehealth.commons.protocol.v2.RequestType
be.fgov.ehealth.dics.protocol.v5.DicsRequestType
be.fgov.ehealth.dics.protocol.v5.FindCompoundingFormulaRequest

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:17:51+02:00", comments="JAXB RI v4.0.5") public class FindCompoundingFormulaRequest extends DicsRequestType implements Serializable

Java class for FindCompoundingFormulaRequestType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="FindCompoundingFormulaRequestType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:dics:protocol:v5}DicsRequestType">
           <choice>
             <element name="FindByCNK" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="FindByAnyName" type="{http://www.w3.org/2001/XMLSchema}string"/>
           </choice>
         </extension>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FindCompoundingFormulaRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getFindByAnyName()`
  Returns all Compounding Formulae where any name or synonym matches the given string.
  `String`
  `getFindByCNK()`
  Returns the Compounding Formula identified by the given CNK number.
  `void`
  `setFindByAnyName(String value)`
  Sets the value of the findByAnyName property.
  `void`
  `setFindByCNK(String value)`
  Sets the value of the findByCNK property.

  ### Methods inherited from class be.fgov.ehealth.dics.protocol.v5.DicsRequestType

  `getSearchDate, setSearchDate`

  ### Methods inherited from class be.fgov.ehealth.commons.protocol.v2.RequestType

  `getId, getIssueInstant, setId, setIssueInstant`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### FindCompoundingFormulaRequest

    public FindCompoundingFormulaRequest()

- ## Method Details

  - ### getFindByAnyName

    public String getFindByAnyName()
    Returns all Compounding Formulae where any name or synonym matches the given string. A name matches when the name begins with the given string (case insensitive). The given string is at least 3 characters. The Language attribute is not used.
    Returns:
      possible object is `String`

  - ### setFindByAnyName

    public void setFindByAnyName(String value)
    Sets the value of the findByAnyName property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getFindByAnyName()`

  - ### getFindByCNK

    public String getFindByCNK()
    Returns the Compounding Formula identified by the given CNK number.
    Returns:
      possible object is `String`

  - ### setFindByCNK

    public void setFindByCNK(String value)
    Sets the value of the findByCNK property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getFindByCNK()`